LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTabListener Interface Reference

such listener will be informed if tab's was inserted/removed from an XSimpleTabController instance or if the properties of a tab was changed. More...

`import"XTabListener.idl";`

Inheritance diagram for XTabListener:

## Public Member Functions
void | inserted ([in] long ID)
| a new tab was inserted. More...
void | removed ([in] long ID)
| a tab was removed. More...
void | changed ([in] long ID, [in] sequence< com::sun::star::beans::NamedValue > Properties)
| a tab was changed within its properties. More...
void | activated ([in] long ID)
| a tab was activated (e.g. More...
void | deactivated ([in] long ID)
| a tab was deactivated, because another tab became the new active state. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

such listener will be informed if tab's was inserted/removed from an XSimpleTabController instance or if the properties of a tab was changed.

## Member Function Documentation

## ◆ activated()

void activated | ( | [in] long | ID | ) |

a tab was activated (e.g.

by using mouse/keyboard or method XSimpleTabController::activateTab()

## ◆ changed()

void changed | ( | [in] long | ID,
|  | [in] sequence< com::sun::star::beans::NamedValue > | Properties
| ) |  |

a tab was changed within its properties.

Parameters

  ID | the unique ID of the changed tab.
  Properties | the current set of properties for this tab.

## ◆ deactivated()

void deactivated | ( | [in] long | ID | ) |

a tab was deactivated, because another tab became the new active state.

## ◆ inserted()

void inserted | ( | [in] long | ID | ) |

a new tab was inserted.

Parameters

  ID | this is the unique ID of this new tab.

## ◆ removed()

void removed | ( | [in] long | ID | ) |

a tab was removed.

Parameters

  ID | this was the unique ID of this tab.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XTabListener.idl